Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.filebuffers
Interface ITextFileBuffer

All Superinterfaces:
  IFileBuffer

public interface ITextFileBuffer
extends IFileBuffer

A text file buffer is a file buffer for text files. The contents of a text file buffer is given in the form of a document and an associated annotation model. Also, the text file buffer provides methods to manage the character encoding used to read and write the buffer's underlying text file.

Since:
  3.0

Method Summary
`IAnnotationModel` | `getAnnotationModel()` Returns the annotation model of this text file buffer.
`IDocument` | `getDocument()` Returns the document of this text file buffer.
`String` | `getEncoding()` Returns the character encoding to be used for reading and writing the buffer's underlying file.
`void` | `setEncoding(String encoding)` Sets the character encoding to be used for reading and writing the buffer's underlying file.

Methods inherited from interface org.eclipse.core.filebuffers.IFileBuffer
`commit, getLocation, getModificationStamp, getStatus, isDirty, isShared, isStateValidated, isSynchronized, resetStateValidation, revert, validateState`

Method Detail

### getDocument

    public IDocument getDocument()

  Returns the document of this text file buffer.

  Returns:
    the document of this text file buffer

### getEncoding

    public String getEncoding()

  Returns the character encoding to be used for reading and writing the buffer's underlying file.

  Returns:
    the character encoding

### setEncoding

    public void setEncoding(String encoding)

  Sets the character encoding to be used for reading and writing the buffer's underlying file.

  Parameters:
    `encoding` - the encoding

### getAnnotationModel

    public IAnnotationModel getAnnotationModel()

  Returns the annotation model of this text file buffer.

  Returns:
    the annotation model of this text file buffer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.